<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrSupplementaryForeignInvestmentMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrSupplementaryForeignInvestment">
            <id property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="postalcode" column="POSTALCODE" jdbcType="VARCHAR"/>
            <result property="tel" column="TEL" jdbcType="VARCHAR"/>
            <result property="email" column="EMAIL" jdbcType="VARCHAR"/>
            <result property="localadm" column="LOCALADM" jdbcType="VARCHAR"/>
            <result property="yiedistrict" column="YIEDISTRICT" jdbcType="VARCHAR"/>
            <result property="proloc" column="PROLOC" jdbcType="VARCHAR"/>
            <result property="calculationmethod" column="CALCULATIONMETHOD" jdbcType="VARCHAR"/>
            <result property="forcapindcode" column="FORCAPINDCODE" jdbcType="VARCHAR"/>
            <result property="midpreindcode" column="MIDPREINDCODE" jdbcType="VARCHAR"/>
            <result property="reccaprmb" column="RECCAPRMB" jdbcType="DECIMAL"/>
            <result property="regcaprmb" column="REGCAPRMB" jdbcType="DECIMAL"/>
            <result property="ecotecdevzone" column="ECOTECDEVZONE" jdbcType="VARCHAR"/>
            <result property="protype" column="PROTYPE" jdbcType="VARCHAR"/>
            <result property="congro" column="CONGRO" jdbcType="DECIMAL"/>
            <result property="congrocur" column="CONGROCUR" jdbcType="VARCHAR"/>
            <result property="congrousd" column="CONGROUSD" jdbcType="DECIMAL"/>
            <result property="domeregcap" column="DOMEREGCAP" jdbcType="DECIMAL"/>
            <result property="domeregcapcur" column="DOMEREGCAPCUR" jdbcType="VARCHAR"/>
            <result property="domeregcapusd" column="DOMEREGCAPUSD" jdbcType="DECIMAL"/>
            <result property="domeregcapinvprop" column="DOMEREGCAPINVPROP" jdbcType="DECIMAL"/>
            <result property="domereccap" column="DOMERECCAP" jdbcType="DECIMAL"/>
            <result property="domereccapcur" column="DOMERECCAPCUR" jdbcType="VARCHAR"/>
            <result property="domereccapusd" column="DOMERECCAPUSD" jdbcType="DECIMAL"/>
            <result property="domereccapconprop" column="DOMERECCAPCONPROP" jdbcType="DECIMAL"/>
            <result property="forregcap" column="FORREGCAP" jdbcType="DECIMAL"/>
            <result property="forregcapcur" column="FORREGCAPCUR" jdbcType="VARCHAR"/>
            <result property="forregcapusd" column="FORREGCAPUSD" jdbcType="DECIMAL"/>
            <result property="forregcapinvprop" column="FORREGCAPINVPROP" jdbcType="DECIMAL"/>
            <result property="forreccap" column="FORRECCAP" jdbcType="DECIMAL"/>
            <result property="forreccapcur" column="FORRECCAPCUR" jdbcType="VARCHAR"/>
            <result property="forreccapusd" column="FORRECCAPUSD" jdbcType="DECIMAL"/>
            <result property="forreccapconprop" column="FORRECCAPCONPROP" jdbcType="DECIMAL"/>
            <result property="chamecdate" column="CHAMECDATE" jdbcType="DATE"/>
            <result property="insform" column="INSFORM" jdbcType="VARCHAR"/>
            <result property="opeacttype" column="OPEACTTYPE" jdbcType="VARCHAR"/>
            <result property="itemofoporcpro" column="ITEMOFOPORCPRO" jdbcType="VARCHAR"/>
            <result property="conofcontrpro" column="CONOFCONTRPRO" jdbcType="VARCHAR"/>
            <result property="depincha" column="DEPINCHA" jdbcType="VARCHAR"/>
            <result property="exaauth" column="EXAAUTH" jdbcType="VARCHAR"/>
            <result property="sandate" column="SANDATE" jdbcType="DATE"/>
            <result property="forentname" column="FORENTNAME" jdbcType="VARCHAR"/>
            <result property="fordom" column="FORDOM" jdbcType="VARCHAR"/>
            <result property="forregecap" column="FORREGECAP" jdbcType="DECIMAL"/>
            <result property="foropscope" column="FOROPSCOPE" jdbcType="VARCHAR"/>
            <result property="sandocno" column="SANDOCNO" jdbcType="VARCHAR"/>
            <result property="forentforname" column="FORENTFORNAME" jdbcType="VARCHAR"/>
            <result property="forentopfrom" column="FORENTOPFROM" jdbcType="DATE"/>
            <result property="forentopto" column="FORENTOPTO" jdbcType="DATE"/>
            <result property="forentautsign" column="FORENTAUTSIGN" jdbcType="VARCHAR"/>
            <result property="forenliafor" column="FORENLIAFOR" jdbcType="VARCHAR"/>
            <result property="forentcapcur" column="FORENTCAPCUR" jdbcType="VARCHAR"/>
            <result property="parnum" column="PARNUM" jdbcType="INTEGER"/>
            <result property="limparnum" column="LIMPARNUM" jdbcType="INTEGER"/>
            <result property="parform" column="PARFORM" jdbcType="VARCHAR"/>
            <result property="exenum" column="EXENUM" jdbcType="INTEGER"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="sExtTimestamp" column="S_EXT_TIMESTAMP" jdbcType="TIMESTAMP"/>
            <result property="etpsId" column="ETPS_ID" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        PRIPID,POSTALCODE,TEL,
        EMAIL,LOCALADM,YIEDISTRICT,
        PROLOC,CALCULATIONMETHOD,FORCAPINDCODE,
        MIDPREINDCODE,RECCAPRMB,REGCAPRMB,
        ECOTECDEVZONE,PROTYPE,CONGRO,
        CONGROCUR,CONGROUSD,DOMEREGCAP,
        DOMEREGCAPCUR,DOMEREGCAPUSD,DOMEREGCAPINVPROP,
        DOMERECCAP,DOMERECCAPCUR,DOMERECCAPUSD,
        DOMERECCAPCONPROP,FORREGCAP,FORREGCAPCUR,
        FORREGCAPUSD,FORREGCAPINVPROP,FORRECCAP,
        FORRECCAPCUR,FORRECCAPUSD,FORRECCAPCONPROP,
        CHAMECDATE,INSFORM,OPEACTTYPE,
        ITEMOFOPORCPRO,CONOFCONTRPRO,DEPINCHA,
        EXAAUTH,SANDATE,FORENTNAME,
        FORDOM,FORREGECAP,FOROPSCOPE,
        SANDOCNO,FORENTFORNAME,FORENTOPFROM,
        FORENTOPTO,FORENTAUTSIGN,FORENLIAFOR,
        FORENTCAPCUR,PARNUM,LIMPARNUM,
        PARFORM,EXENUM,S_EXT_DATATIME,
        S_EXT_TIMESTAMP,ETPS_ID
    </sql>
</mapper>
